<?php

namespace App\Modules\BookingTourItem\Infraestructure;

use App\Modules\BookingTour\Domain\IdBookingTour;
use App\Modules\BookingTourItem\Domain\ExtraRepository;
use App\Modules\Shared\Infraestructure\Requester;

class MysqlExtraRepository implements ExtraRepository
{
    public function find(IdBookingTour $idBookingTour, string $action)
    {
        return Requester::requestSelect(
            'CALL sp_booking_tour_item_list(?,?,@sts,@cod,@msg)',
            [
                $idBookingTour->getValue(),
                $action
            ]
        );
    }
}
